Subject: [Ietf-behave] TCP NAT binding times and directions

From: Cullen Jennings <[email-masked]>
Date: Sun, 15 Aug 2004 12:12:28 -0700 (PDT)

I have not done very many experiments with this but have seen a bit of code
and done a little. It is clear that the times in NATs are much larger for
TCP than UDP. Some of the NATs I looked at had a binding time of 7200
seconds which was sort of disturbing given many OS have a TCP Keepalice of
7200. It was a race and if the keepalive was not lost it would work but if a
few keep alives got lost, it would not. Some devices treat timeouts for
formed connection differently than the flows where only a syn has been sent.